> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Field Schema



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /workspaces/{workspace_id}/editor/field-schema
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /workspaces/{workspace_id}/editor/field-schema:
    get:
      tags:
        - editor
      summary: Field Schema
      operationId: editor-field_schema
      parameters:
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Workspace Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EditorComponent'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EditorComponent:
      oneOf:
        - $ref: '#/components/schemas/Text'
        - $ref: '#/components/schemas/Code'
        - $ref: '#/components/schemas/Select'
        - $ref: '#/components/schemas/TextArea'
        - $ref: '#/components/schemas/Integer'
        - $ref: '#/components/schemas/Float'
        - $ref: '#/components/schemas/Toggle'
        - $ref: '#/components/schemas/Yaml'
        - $ref: '#/components/schemas/TagInput'
        - $ref: '#/components/schemas/ActionType'
        - $ref: '#/components/schemas/WorkflowAlias'
        - $ref: '#/components/schemas/AgentPreset'
        - $ref: '#/components/schemas/AgentModel'
        - $ref: '#/components/schemas/MCPIntegration'
      title: EditorComponent
      discriminator:
        propertyName: component_id
        mapping:
          action-type:
            $ref: '#/components/schemas/ActionType'
          agent-model:
            $ref: '#/components/schemas/AgentModel'
          agent-preset:
            $ref: '#/components/schemas/AgentPreset'
          code:
            $ref: '#/components/schemas/Code'
          float:
            $ref: '#/components/schemas/Float'
          integer:
            $ref: '#/components/schemas/Integer'
          mcp-integration:
            $ref: '#/components/schemas/MCPIntegration'
          select:
            $ref: '#/components/schemas/Select'
          tag-input:
            $ref: '#/components/schemas/TagInput'
          text:
            $ref: '#/components/schemas/Text'
          text-area:
            $ref: '#/components/schemas/TextArea'
          toggle:
            $ref: '#/components/schemas/Toggle'
          workflow-alias:
            $ref: '#/components/schemas/WorkflowAlias'
          yaml:
            $ref: '#/components/schemas/Yaml'
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Text:
      properties:
        component_id:
          type: string
          const: text
          title: Component Id
          default: text
      type: object
      title: Text
    Code:
      properties:
        component_id:
          type: string
          const: code
          title: Component Id
          default: code
        lang:
          type: string
          enum:
            - yaml
            - python
          title: Lang
          default: python
      type: object
      title: Code
    Select:
      properties:
        component_id:
          type: string
          const: select
          title: Component Id
          default: select
        options:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Options
        multiple:
          type: boolean
          title: Multiple
          default: false
      type: object
      title: Select
    TextArea:
      properties:
        component_id:
          type: string
          const: text-area
          title: Component Id
          default: text-area
        rows:
          type: integer
          title: Rows
          default: 4
        placeholder:
          type: string
          title: Placeholder
          default: ''
      type: object
      title: TextArea
    Integer:
      properties:
        component_id:
          type: string
          const: integer
          title: Component Id
          default: integer
        min_val:
          anyOf:
            - type: integer
            - type: 'null'
          title: Min Val
        max_val:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Val
        step:
          type: integer
          title: Step
          default: 1
      type: object
      title: Integer
    Float:
      properties:
        component_id:
          type: string
          const: float
          title: Component Id
          default: float
        min_val:
          anyOf:
            - type: number
            - type: 'null'
          title: Min Val
        max_val:
          anyOf:
            - type: number
            - type: 'null'
          title: Max Val
        step:
          type: number
          title: Step
          default: 0.1
      type: object
      title: Float
    Toggle:
      properties:
        label_on:
          type: string
          title: Label On
          default: 'On'
        label_off:
          type: string
          title: Label Off
          default: 'Off'
        component_id:
          type: string
          const: toggle
          title: Component Id
          default: toggle
      type: object
      title: Toggle
    Yaml:
      properties:
        component_id:
          type: string
          const: yaml
          title: Component Id
          default: yaml
      type: object
      title: Yaml
    TagInput:
      properties:
        component_id:
          type: string
          const: tag-input
          title: Component Id
          default: tag-input
      type: object
      title: TagInput
    ActionType:
      properties:
        component_id:
          type: string
          const: action-type
          title: Component Id
          default: action-type
        multiple:
          type: boolean
          title: Multiple
          default: false
      type: object
      title: ActionType
    WorkflowAlias:
      properties:
        component_id:
          type: string
          const: workflow-alias
          title: Component Id
          default: workflow-alias
      type: object
      title: WorkflowAlias
    AgentPreset:
      properties:
        component_id:
          type: string
          const: agent-preset
          title: Component Id
          default: agent-preset
      type: object
      title: AgentPreset
    AgentModel:
      properties:
        component_id:
          type: string
          const: agent-model
          title: Component Id
          default: agent-model
      type: object
      title: AgentModel
    MCPIntegration:
      properties:
        component_id:
          type: string
          const: mcp-integration
          title: Component Id
          default: mcp-integration
        multiple:
          type: boolean
          title: Multiple
          default: true
      type: object
      title: MCPIntegration
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````